For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create pricing policy attachment

Create a new pricing policy attachment.

post
Path parameters
pricingPolicyIdstringRequired
Body
filestring · binaryOptional
Responses
201

Created

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
typestringOptional
sizeinteger · int32 · nullableOptional
descriptionstringOptional
fileNamestringOptional
contentTypestringOptional
statusstringOptional
post/public/v1/catalog/pricing-policies/{pricingPolicyId}/attachments
POST /public/v1/catalog/pricing-policies/{pricingPolicyId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 83

{
  "attachment": {
    "name": "text",
    "description": "text",
    "file": "binary"
  },
  "file": "binary"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "size": 1,
  "description": "text",
  "fileName": "text",
  "contentType": "text",
  "status": "text",
  "pricingPolicy": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "client": {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active",
      "externalIds": {
        "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
      },
      "externalId": "text",
      "externalName": "text",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "technicalSupportEmail": "text",
      "website": "text",
      "description": "text",
      "groups": [
        {
          "id": "text",
          "name": "text",
          "revision": 1,
          "description": "text",
          "logo": "text",
          "isDefault": true
        }
      ],
      "eligibility": {
        "client": true,
        "partner": true
      },
      "defaultLanguageCode": "text"
    },
    "eligibility": {
      "client": true,
      "partner": true
    },
    "products": [
      {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "published": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "pending": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "unpublished": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "sendCostToErp": true,
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          },
          "suspendResume": {
            "vendor": true,
            "operations": true
          },
          "customConfigurationOrders": true
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "addonCount": 1
        }
      }
    ]
  }
}

Last updated

Was this helpful?